petsc-3.12.4 2020-02-04
Report Typos and Errors

# SNESFASGetCycleSNES

Gets the SNES corresponding to a particular level of the FAS hierarchy.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASGetCycleSNES(SNES snes,PetscInt level,SNES *lsnes)

### Input Parameters

| snes | - the multigrid context level - the level to get
| lsnes | - whether to use the nonlinear smoother or not

### See Also

SNESFASSetLevels(), SNESFASGetLevels()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c

### Examples

src/snes/examples/tutorials/ex12.c.html
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages